Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class EXExtent

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.EXExtent

    public class EXExtent

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}description"/>
             <element ref="{http://www.isotc211.org/2005/gmd}geographicElement"/>
             <element ref="{http://www.isotc211.org/2005/gmd}temporalElement"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Description` | `description`
`protected GeographicElement` | `geographicElement`
`protected TemporalElement` | `temporalElement`

Constructor Summary
`EXExtent()`

Method Summary
`Description` | `getDescription()` Gets the value of the description property.
`GeographicElement` | `getGeographicElement()` Gets the value of the geographicElement property.
`TemporalElement` | `getTemporalElement()` Gets the value of the temporalElement property.
`void` | `setDescription(Description value)` Sets the value of the description property.
`void` | `setGeographicElement(GeographicElement value)` Sets the value of the geographicElement property.
`void` | `setTemporalElement(TemporalElement value)` Sets the value of the temporalElement property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected Description description

### geographicElement

    protected GeographicElement geographicElement

### temporalElement

    protected TemporalElement temporalElement

Constructor Detail

### EXExtent

    public EXExtent()

Method Detail

### getDescription

    public Description getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `Description`

### setDescription

    public void setDescription(Description value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `Description`

### getGeographicElement

    public GeographicElement getGeographicElement()

  Gets the value of the geographicElement property.

  Returns:
    possible object is `GeographicElement`

### setGeographicElement

    public void setGeographicElement(GeographicElement value)

  Sets the value of the geographicElement property.

  Parameters:
    `value` - allowed object is `GeographicElement`

### getTemporalElement

    public TemporalElement getTemporalElement()

  Gets the value of the temporalElement property.

  Returns:
    possible object is `TemporalElement`

### setTemporalElement

    public void setTemporalElement(TemporalElement value)

  Sets the value of the temporalElement property.

  Parameters:
    `value` - allowed object is `TemporalElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org